Bug 816890 - [abrt] ibus-hangul-1.4.0-5.fc16: main.py:23:<module>:ImportError: No module named gi.repository
[abrt] ibus-hangul-1.4.0-5.fc16: main.py:23:<module>:ImportError: No module n...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-hangul (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
abrt_hash:b01d1459fc84a9923e4e7a7b417...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 05:06 EDT by ai
Modified: 2012-05-26 03:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: ibus-hangul-1.4.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 06:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ai 2012-04-27 05:06:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/share/ibus-hangul/setup/main.py
comment:        Try to open application (maybe this would help to keep my laptop from becoming fried because of wrong trip point)
event_log:      2012-04-27-12:06:11> Smolt profile successfully saved
executable:     /usr/share/ibus-hangul/setup/main.py
kernel:         3.1.0-7.fc16.x86_64
reason:         main.py:23:<module>:ImportError: No module named gi.repository
time:           Fri 27 Apr 2012 12:04:22 PM EEST
uid:            1000
username:       ai

backtrace:
:main.py:23:<module>:ImportError: No module named gi.repository
:
:Traceback (most recent call last):
:  File "/usr/share/ibus-hangul/setup/main.py", line 23, in <module>
:    from gi.repository import GLib
:ImportError: No module named gi.repository
:
:Local variables in innermost frame:
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/share/ibus-hangul/setup/main.py'
:__package__: None
:sys: <module 'sys' (built-in)>
:__name__: '__main__'
:os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
:__doc__: None

smolt_data:
:
:
:General
:=================================
:UUID: bcc42fae-5585-4108-b3e1-ed3ac1da36bd
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4189.66
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II P320 Dual-Core Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 3701
:System Swap: 5759
:Vendor: Hewlett-Packard
:System: HP 625 
:Form factor: Notebook
:Kernel: 3.1.0-7.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4156:5237) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4130:38407:4156:5237) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 3)
:(4098:38674:4156:5237) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4130:38401:4156:5237) pci, None, HOST/PCI, RS880 Host Bridge
:(4156:38402:4156:5237) pci, None, PCI/PCI, N/A
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4156:5237) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4156:5237) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17285:4156:5237) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4156:5237) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4156:5237) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4156:5237) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4156:5237) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38671:4156:5237) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4156:5237) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4156:5237) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4156:5237) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33078:4156:5237) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(4130:38408:4156:5237) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 4)
:(4130:38404:4156:5237) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 12901535 11528364 11397327 3276800 3122525 3122525
:/dev/sda1 /boot ext4 1024 1024 495844 435300 409700 128016 127785 127785
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 62435297 62360685 59189153 15859712 15859296 15859296
:
Comment 1 Daiki Ueno 2012-04-28 03:38:40 EDT
Thanks for catching this.  pygobject3 should be added to the dependencies.
Comment 2 Fedora Update System 2012-04-30 22:20:15 EDT
ibus-hangul-1.4.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-hangul-1.4.1-2.fc17
Comment 3 Fedora Update System 2012-04-30 22:20:21 EDT
ibus-hangul-1.4.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-hangul-1.4.1-2.fc16
Comment 4 Fedora Update System 2012-05-01 17:32:28 EDT
Package ibus-hangul-1.4.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-hangul-1.4.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7036/ibus-hangul-1.4.1-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-11 06:23:11 EDT
ibus-hangul-1.4.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-26 03:24:57 EDT
ibus-hangul-1.4.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.